diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandPlaySound.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandPlaySound.java
index 8b79636a6..6dbc18a24 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandPlaySound.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandPlaySound.java
@@ -2,9 +2,9 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.FloatArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeFloat;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.net.command.CommandManager;
@@ -25,10 +25,10 @@ public class CommandPlaySound implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register
             (
-                LiteralArgumentBuilder.<CommandSource>literal("playsound")
+                ArgumentBuilderLiteral.<CommandSource>literal("playsound")
                     .requires(CommandSource::hasAdmin)
-                    .then(RequiredArgumentBuilder.<CommandSource, String>argument("soundId", ArgumentTypeSoundId.soundId())
-                        .then(RequiredArgumentBuilder.<CommandSource, SoundCategory>argument("type", ArgumentTypeSoundCategory.soundCategory())
+                    .then(ArgumentBuilderRequired.<CommandSource, String>argument("soundId", ArgumentTypeSoundId.soundId())
+                        .then(ArgumentBuilderRequired.<CommandSource, SoundCategory>argument("type", ArgumentTypeSoundCategory.soundCategory())
                             .executes(c -> {
                                 String soundId = c.getArgument("soundId", String.class);
                                 SoundCategory category = c.getArgument("type", SoundCategory.class);
@@ -40,7 +40,7 @@ public class CommandPlaySound implements CommandManager.CommandRegistry {
                                 }
                                 return 0;
                             })
-                            .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("position", ArgumentTypeVec3.vec3d())
+                            .then(ArgumentBuilderRequired.<CommandSource, DoubleCoordinates>argument("position", ArgumentTypeVec3.vec3d())
                                 .executes(c -> {
                                     String soundId = c.getArgument("soundId", String.class);
                                     SoundCategory category = c.getArgument("type", SoundCategory.class);
@@ -54,7 +54,7 @@ public class CommandPlaySound implements CommandManager.CommandRegistry {
                                     world.playSoundEffect(null, category, coordinates.getX(sourceX), coordinates.getY(sourceY), coordinates.getZ(sourceZ), soundId, 1f, 1f);
                                     return Command.SINGLE_SUCCESS;
                                 })
-                                .then(RequiredArgumentBuilder.<CommandSource, Float>argument("volume", FloatArgumentType.floatArg())
+                                .then(ArgumentBuilderRequired.<CommandSource, Float>argument("volume", ArgumentTypeFloat.floatArg())
                                     .executes(c -> {
                                         String soundId = c.getArgument("soundId", String.class);
                                         SoundCategory category = c.getArgument("type", SoundCategory.class);
@@ -69,7 +69,7 @@ public class CommandPlaySound implements CommandManager.CommandRegistry {
                                         world.playSoundEffect(null, category, coordinates.getX(sourceX), coordinates.getY(sourceY), coordinates.getZ(sourceZ), soundId, volume, 1f);
                                         return Command.SINGLE_SUCCESS;
                                     })
-                                    .then(RequiredArgumentBuilder.<CommandSource, Float>argument("pitch", FloatArgumentType.floatArg())
+                                    .then(ArgumentBuilderRequired.<CommandSource, Float>argument("pitch", ArgumentTypeFloat.floatArg())
                                         .executes(c -> {
                                             String soundId = c.getArgument("soundId", String.class);
                                             SoundCategory category = c.getArgument("type", SoundCategory.class);
@@ -88,7 +88,7 @@ public class CommandPlaySound implements CommandManager.CommandRegistry {
                                     )
                                 )
                             )
-                            .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.entities())
+                            .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.entities())
                                 .executes(c -> {
                                     String soundId = c.getArgument("soundId", String.class);
                                     SoundCategory category = c.getArgument("type", SoundCategory.class);
@@ -101,7 +101,7 @@ public class CommandPlaySound implements CommandManager.CommandRegistry {
                                     }
                                     return Command.SINGLE_SUCCESS;
                                 })
-                                .then(RequiredArgumentBuilder.<CommandSource, Float>argument("volume", FloatArgumentType.floatArg())
+                                .then(ArgumentBuilderRequired.<CommandSource, Float>argument("volume", ArgumentTypeFloat.floatArg())
                                     .executes(c -> {
                                         String soundId = c.getArgument("soundId", String.class);
                                         SoundCategory category = c.getArgument("type", SoundCategory.class);
@@ -115,7 +115,7 @@ public class CommandPlaySound implements CommandManager.CommandRegistry {
                                         }
                                         return Command.SINGLE_SUCCESS;
                                     })
-                                    .then(RequiredArgumentBuilder.<CommandSource, Float>argument("pitch", FloatArgumentType.floatArg())
+                                    .then(ArgumentBuilderRequired.<CommandSource, Float>argument("pitch", ArgumentTypeFloat.floatArg())
                                         .executes(c -> {
                                             String soundId = c.getArgument("soundId", String.class);
                                             SoundCategory category = c.getArgument("type", SoundCategory.class);
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSay.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSay.java
index 0a24af6dd..778ae23ff 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSay.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSay.java
@@ -2,20 +2,20 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.StringArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeString;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import net.minecraft.core.net.command.CommandManager;
 import net.minecraft.core.net.command.CommandSource;
 
 public class CommandSay implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("say")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("say")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, String>argument("message", StringArgumentType.greedyString())
+                .then(ArgumentBuilderRequired.<CommandSource, String>argument("message", ArgumentTypeString.greedyString())
                         .executes(c -> {
                             CommandSource source = c.getSource();
-                            String message = StringArgumentType.getString(c, "message");
+                            String message = ArgumentTypeString.getString(c, "message");
                             String senderName = source.getName();
                             source.sendMessageToAllPlayers("[" + senderName + "§r] " + message);
                             return Command.SINGLE_SUCCESS;
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSeed.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSeed.java
index feff7ecb5..37e509901 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSeed.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSeed.java
@@ -2,7 +2,7 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
 import net.minecraft.core.Global;
 import net.minecraft.core.net.command.CommandManager;
 import net.minecraft.core.net.command.CommandSource;
@@ -13,7 +13,7 @@ import java.awt.datatransfer.StringSelection;
 
 public class CommandSeed implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("seed")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("seed")
                 .requires(CommandSource::hasAdmin)
                 .executes(c -> {
                     CommandSource source = c.getSource();
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSetBlock.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSetBlock.java
index 4e360d59c..5dad3109e 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSetBlock.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSetBlock.java
@@ -2,8 +2,8 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandManager;
@@ -18,10 +18,10 @@ public class CommandSetBlock implements CommandManager.CommandRegistry {
     private static final SimpleCommandExceptionType FAILURE = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.setblock.exception_failure"));
 
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("setblock")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("setblock")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("position", ArgumentTypeIntegerCoordinates.intCoordinates())
-                        .then(RequiredArgumentBuilder.<CommandSource, BlockInput>argument("block", ArgumentTypeBlock.block())
+                .then(ArgumentBuilderRequired.<CommandSource, IntegerCoordinates>argument("position", ArgumentTypeIntegerCoordinates.intCoordinates())
+                        .then(ArgumentBuilderRequired.<CommandSource, BlockInput>argument("block", ArgumentTypeBlock.block())
                                 .executes(c -> {
                                     CommandSource source = c.getSource();
                                     IntegerCoordinates coordinates = c.getArgument("position", IntegerCoordinates.class);
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSetSpawn.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSetSpawn.java
index 7bdb6cf02..743b8d490 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSetSpawn.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSetSpawn.java
@@ -2,8 +2,8 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.tree.CommandNode;
 import net.minecraft.core.net.command.CommandManager;
 import net.minecraft.core.world.chunk.ChunkCoordinates;
@@ -13,9 +13,9 @@ import net.minecraft.core.net.command.helpers.IntegerCoordinates;
 
 public class CommandSetSpawn implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        CommandNode<CommandSource> command = dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("setworldspawn")
+        CommandNode<CommandSource> command = dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("setworldspawn")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, IntegerCoordinates>argument("position", ArgumentTypeIntegerCoordinates.intCoordinates())
+                .then(ArgumentBuilderRequired.<CommandSource, IntegerCoordinates>argument("position", ArgumentTypeIntegerCoordinates.intCoordinates())
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             IntegerCoordinates coordinates = c.getArgument("position", IntegerCoordinates.class);
@@ -29,7 +29,7 @@ public class CommandSetSpawn implements CommandManager.CommandRegistry {
 
                             return Command.SINGLE_SUCCESS;
                         })));
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("setspawn")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("setspawn")
                 .requires(CommandSource::hasAdmin)
                 .redirect(command));
     }
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSpawn.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSpawn.java
index 57ece50d0..4ba656aae 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSpawn.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSpawn.java
@@ -2,8 +2,8 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.lang.I18n;
@@ -20,7 +20,7 @@ import java.util.List;
 
 public class CommandSpawn implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("spawn")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("spawn")
                 .requires(CommandSource::hasAdmin)
                 .executes(c -> {
                     CommandSource source = c.getSource();
@@ -35,7 +35,7 @@ public class CommandSpawn implements CommandManager.CommandRegistry {
                     source.sendTranslatableMessage("command.commands.spawn.success");
                     return Command.SINGLE_SUCCESS;
                 })
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("players", ArgumentTypeEntity.players())
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("players", ArgumentTypeEntity.usernames())
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             Player sender = source.getSender();
@@ -56,7 +56,7 @@ public class CommandSpawn implements CommandManager.CommandRegistry {
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
-                .then(LiteralArgumentBuilder.<CommandSource>literal("get")
+                .then(ArgumentBuilderLiteral.<CommandSource>literal("get")
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             ChunkCoordinates spawnCoordinates = source.getWorld(0).getSpawnPoint();
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSummon.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSummon.java
index 3c8607b28..de5bf0160 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSummon.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSummon.java
@@ -2,9 +2,9 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.IntegerArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeInteger;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.context.CommandContext;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.net.command.CommandManager;
@@ -19,9 +19,9 @@ import net.minecraft.core.net.command.helpers.DoubleCoordinates;
 
 public class CommandSummon implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("summon")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("summon")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, Class<? extends Entity>>argument("entity", ArgumentTypeEntitySummon.entity())
+                .then(ArgumentBuilderRequired.<CommandSource, Class<? extends Entity>>argument("entity", ArgumentTypeEntitySummon.entity())
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             Vec3 coordinates = source.getCoordinates(false);
@@ -33,7 +33,7 @@ public class CommandSummon implements CommandManager.CommandRegistry {
 
                             return Command.SINGLE_SUCCESS;
                         })
-                        .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("position", ArgumentTypeVec3.vec3d())
+                        .then(ArgumentBuilderRequired.<CommandSource, DoubleCoordinates>argument("position", ArgumentTypeVec3.vec3d())
                                 .executes(c -> {
                                     CommandSource source = c.getSource();
                                     DoubleCoordinates coordinates = c.getArgument("position", DoubleCoordinates.class);
@@ -44,7 +44,7 @@ public class CommandSummon implements CommandManager.CommandRegistry {
 
                                     return Command.SINGLE_SUCCESS;
                                 })
-                                .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("amount", IntegerArgumentType.integer(1, 255))
+                                .then(ArgumentBuilderRequired.<CommandSource, Integer>argument("amount", ArgumentTypeInteger.integer(1, 255))
                                         .executes(c -> {
                                             CommandSource source = c.getSource();
                                             DoubleCoordinates coordinates = c.getArgument("position", DoubleCoordinates.class);
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTeleport.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTeleport.java
index 0beeb1bda..c8245c23d 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTeleport.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTeleport.java
@@ -2,8 +2,8 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import com.mojang.brigadier.tree.CommandNode;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
@@ -20,9 +20,9 @@ import java.util.List;
 
 public class CommandTeleport implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        CommandNode<CommandSource> command = dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("teleport")
+        CommandNode<CommandSource> command = dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("teleport")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("position", ArgumentTypeVec3.vec3d())
+                .then(ArgumentBuilderRequired.<CommandSource, DoubleCoordinates>argument("position", ArgumentTypeVec3.vec3d())
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             DoubleCoordinates targetCoordinates = c.getArgument("position", DoubleCoordinates.class);
@@ -36,8 +36,8 @@ public class CommandTeleport implements CommandManager.CommandRegistry {
 
                             return Command.SINGLE_SUCCESS;
                         }))
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("entity", ArgumentTypeEntity.entities())
-                        .then(RequiredArgumentBuilder.<CommandSource, DoubleCoordinates>argument("position", ArgumentTypeVec3.vec3d())
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("entity", ArgumentTypeEntity.entities())
+                        .then(ArgumentBuilderRequired.<CommandSource, DoubleCoordinates>argument("position", ArgumentTypeVec3.vec3d())
                                 .executes(c -> {
                                     CommandSource source = c.getSource();
                                     EntitySelector entitySelector = c.getArgument("entity", EntitySelector.class);
@@ -61,7 +61,7 @@ public class CommandTeleport implements CommandManager.CommandRegistry {
 
                                     return Command.SINGLE_SUCCESS;
                                 }))
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.entity())
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.entity())
                         .executes(c -> {
                             CommandSource source = c.getSource();
                             EntitySelector entitySelector = c.getArgument("entity", EntitySelector.class);
@@ -78,7 +78,7 @@ public class CommandTeleport implements CommandManager.CommandRegistry {
 
                             return Command.SINGLE_SUCCESS;
                         }))));
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("tp")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("tp")
                 .requires(CommandSource::hasAdmin)
                 .redirect(command));
     }
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTellRaw.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTellRaw.java
index 008050db4..8f51ee16e 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTellRaw.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTellRaw.java
@@ -2,9 +2,9 @@ package net.minecraft.core.net.command.commands;
 
 import com.mojang.brigadier.Command;
 import com.mojang.brigadier.CommandDispatcher;
-import com.mojang.brigadier.arguments.StringArgumentType;
-import com.mojang.brigadier.builder.LiteralArgumentBuilder;
-import com.mojang.brigadier.builder.RequiredArgumentBuilder;
+import com.mojang.brigadier.arguments.ArgumentTypeString;
+import com.mojang.brigadier.builder.ArgumentBuilderLiteral;
+import com.mojang.brigadier.builder.ArgumentBuilderRequired;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.net.command.CommandManager;
@@ -16,10 +16,10 @@ import java.util.List;
 
 public class CommandTellRaw implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
-        dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("tellraw")
+        dispatcher.register(ArgumentBuilderLiteral.<CommandSource>literal("tellraw")
                 .requires(CommandSource::hasAdmin)
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("targets", ArgumentTypeEntity.players())
-                        .then(RequiredArgumentBuilder.<CommandSource, String>argument("message", StringArgumentType.greedyString())
+                .then(ArgumentBuilderRequired.<CommandSource, EntitySelector>argument("targets", ArgumentTypeEntity.usernames())
+                        .then(ArgumentBuilderRequired.<CommandSource, String>argument("message", ArgumentTypeString.greedyString())
                                 .executes(c -> {
                                     CommandSource source = c.getSource();
                                     EntitySelector entitySelector = c.getArgument("targets", EntitySelector.class);
